### Struct

# WebKit UserScript

since: 2.6

#### Description [src]

    struct WebKitUserScript {
      /* No available fields */
    }

A JavaScript snippet which can be injected in loaded pages.

Available since: 2.6

#### Constructors

###### webkit_user_script_new

Creates a new user script.

since: 2.6

###### webkit_user_script_new_for_world

Creates a new user script for script world with name `world_name`.

since: 2.22

#### Instance methods

###### webkit_user_script_ref

Atomically increments the reference count of `user_script` by one.

since: 2.6

###### webkit_user_script_unref

Atomically decrements the reference count of `user_script` by one.

since: 2.6